<?php

namespace Shop\Domain\Provider\Contracts;

use Propel\Runtime\Connection\ConnectionInterface;
use Repo\EntityInterface;
use Shop\Domain\Customer\Contracts\CustomerEntityInterface;
use Shop\Domain\Provider\ContractorRequest;

/**
 * Description of Provider
 *
 * @author Diamond Code Generator
 */
interface ProviderEntityInterface extends EntityInterface
{
    public function getContractorId();

    /**
     * @param ConnectionInterface|null $con
     * @return CustomerEntityInterface
     */
    public function getContractor(?ConnectionInterface $con = NULL);

    public function setName(string $value);

    public function setTerm(string $value);

    public function setCurrencyId(int $value);

    public function setColor(string $value);

    public function setDestination(string $value);

    public function setContact(?string $value);

    public function setDesc(?string $value);
    
}             